import java.util.HashMap;
import java.util.Scanner;

public class Sequencia {
    // mapa que armazena termos de fibonacci previamente calculados
	private static HashMap<Integer, Long> anteriores = new HashMap<Integer, Long>();

    // le a entrada e calcula o termo da sequencia
	public static void main(String[] args) {
		Scanner scan = new Scanner(System.in);
		int n = 0;
		int i = scan.nextInt();

		while (i != -1) { // roda enquanto a entrada nao for -1
			System.out.println(fibo(i)); // calcula e imprime o i-esimo termo de fibonacci
			i = scan.nextInt();
		}

		scan.close();
	}

    // metodo recursivo que calcula fibonacci
	private static long fibo(int i) {
		if(i==0) return 0;
		if(i<=2) return 1;
		// se o resultado ja foi calculado, retorna ele
		if(anteriores.containsKey(i)) return anteriores.get(i);
		else{
			anteriores.put(i, fibo(i-1)+fibo(i-2));
			return anteriores.get(i);
		}
	}

}
